#ifndef NET_H
#define NET_H

#include <string>
#include <vector>

size_t write_data(void *buffer, size_t size, size_t nmemb, void *userp);

class Net
{
public:
    Net();
    std::vector<std::string> get_all_modules(std::string url);
    void get_file(std::string url, std::string filename);
    std::string fetch_check_data_from_ofdru(std::string fn, std::string fd, std::string fi, std::string datetime, int operation, int total, std::string captcha);
    void get_captcha_from_ofdru();
};

#endif // NET_H
